using AutoMapper;
using BookHive.DTO.Author;
using BookHive.DTO.Book;
using BookHive.DTO.Loan;
using BookHive.DTO.Member;
using BookHive.DTO.Review;
using BookHive.Models;

namespace BookHive.MappingProfiles;

public class DtoToEntityMappings : Profile
{
    public DtoToEntityMappings()
    {
        CreateMap<CreateBookDto, Book>();
        CreateMap<UpdateBookDto, Book>();

        CreateMap<CreateAuthorDto, Author>();
        CreateMap<UpdateAuthorDto, Author>();

        CreateMap<CreateMemberDto, Member>();
        CreateMap<UpdateMemberDto, Member>();

        CreateMap<CreateReviewDto, Review>();
        CreateMap<UpdateReviewDto, Review>();

        CreateMap<CreateLoanDto, Loan>();
        CreateMap<UpdateLoanDto, Loan>();
    }
}